Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504100 (CVE-2014-0004) - <sys-fs/udisks-{1.0.5:0,2.1.3:2}: stack-based buffer overflow when handling long path names (CVE-2014-0004)
Summary: <sys-fs/udisks-{1.0.5:0,2.1.3:2}: stack-based buffer overflow when handling l...
Status: RESOLVED FIXED
Alias: CVE-2014-0004
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-10 16:04 UTC by Agostino Sarubbo
Modified: 2014-05-02 06:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-03-10 16:04:14 UTC
From ${URL} :

Florian Weimer of the Red Hat Product Security Team, found a flaw in
the way udisks and udisks2 handled long path names. A malicious, local
user could use this flaw to create a specially-crafted directory
structure that could lead to arbitrary code execution with the
privileges of the udisks daemon (root).

This issue has been assigned CVE-2014-0004.

References:
http://lists.freedesktop.org/archives/devkit-devel/2014-March/001568.html

Patches:
http://cgit.freedesktop.org/udisks/commit/?h=udisks1&id=ebf61ed8471
http://cgit.freedesktop.org/udisks/commit/?id=244967

Red Hat bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=1049703


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Samuli Suominen gentoo-dev 2014-03-10 16:38:23 UTC
Please test and stabilize:

=sys-fs/udisks-1.0.5 alpha amd64 arm ia64 ppc ppc64 sparc x86
=sys-fs/udisks-2.1.3 alpha amd64 arm ia64 ppc ppc64 sparc x86
Comment 2 Agostino Sarubbo gentoo-dev 2014-03-11 09:22:07 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2014-03-11 09:22:46 UTC
x86 stable
Comment 4 Agostino Sarubbo gentoo-dev 2014-03-12 10:37:45 UTC
sparc stable
Comment 5 Agostino Sarubbo gentoo-dev 2014-03-16 11:11:34 UTC
ppc stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-03-18 16:12:16 UTC
ia64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2014-03-19 14:21:28 UTC
alpha stable
Comment 8 Markus Meier gentoo-dev 2014-03-22 21:33:54 UTC
arm stable
Comment 9 Agostino Sarubbo gentoo-dev 2014-03-24 14:34:30 UTC
ppc64 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 10 Yury German Gentoo Infrastructure gentoo-dev Security 2014-03-24 22:05:19 UTC
Created a new GLSA Request

Arches, Thank you for your work
Maintainer(s), please drop the vulnerable version.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2014-03-26 08:18:53 UTC
CVE-2014-0004 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0004):
  Stack-based buffer overflow in udisks before 1.0.5 and 2.x before 2.1.3
  allows local users to cause a denial of service (crash) and possibly execute
  arbitrary code via a long mount point.
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-03-26 09:13:31 UTC
Cleanup done by ssuominen.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2014-05-02 06:59:03 UTC
This issue was resolved and addressed in
 GLSA 201405-01 at http://security.gentoo.org/glsa/glsa-201405-01.xml
by GLSA coordinator Mikle Kolyada (Zlogene).